///File : common.hpp
//------------------------------------------------------------------------------
/*
    This file is part of Debtest.

    Debtest is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Debtest is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Debtest.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#if not defined COMMON_HPP_DEBTEST
#define COMMON_HPP_DEBTEST
//------------------------------------------------------------------------------
#include "main.hpp"
//------------------------------------------------------------------------------
enum
{
    VERBOSE_MODE_QUIET,
    VERBOSE_MODE_NORMAL,
    VERBOSE_MODE_VERBOSE
};
//------------------------------------------------------------------------------
void *progressFn(void *data);
void editProgress(const float &perCent, progressStr &progress);
void editProgressMsg(const std::string &msg, progressStr &progress);

int getLine(std::string &str, FILE *file);
std::vector<std::string> getPkgList();
//------------------------------------------------------------------------------
#endif // COMMON_HPP_DEBTEST
